Bug 21174 - ssh truncates long command lines
Summary: ssh truncates long command lines
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 12:14 UTC by nvwarr
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 03:50:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix ssh for > 900 characters in command (842 bytes, patch)
2000-11-25 18:12 UTC, nvwarr
no flags Details | Diff

Description nvwarr 2000-11-21 12:14:16 UTC
ssh truncates command lines after 837 characters. e.g.
ssh `hostname` echo /usr/bin/*
only gets part way through the files beginning with "a" and gives up part
way through a filename.

Comment 1 Pekka Savola 2000-11-21 17:36:09 UTC
Umm.. _Don't_ use so long names then?  There should be much better 
ways of accomplishing this.


Comment 2 nvwarr 2000-11-25 18:12:41 UTC
Created attachment 5707 [details]
Fix ssh for > 900 characters in command


Note You need to log in before you can comment on or make changes to this bug.